Bug 490776 - better menuing
better menuing
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Radek Vokal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-17 18:47 EDT by Jonathan Rocker
Modified: 2014-03-16 23:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
start of subcategory implementation for all but office and games (fdo) (60.00 KB, application/x-tar)
2009-03-17 19:07 EDT, Rudolf Kastl
no flags Details

  None (edit)
Description Jonathan Rocker 2009-03-17 18:47:37 EDT
About the main thing I have noticed in Fedora, coming from openSUSE, is that openSUSE has really organized menus. For example, if you click on the office menu, in openSUSE you'll find sub menus for word, spreadsheets, finances, databases, and so on. In Fedora, it is simply the office menu, with everything office thrown in there. I, personally, would love to see the menu's better organized. From what I understand, it's not that hard, just add a line to the rpm script.
Comment 1 Jason Tibbitts 2009-03-17 18:59:51 EDT
Unfortunately I don't understand why this was submitted under the Package Review component.  This component is used to track the review of new packages being submitted to Fedora, and this ticket does not contain a package to be reviewed.

I'm going to assign this to the distribution component as my understanding is that  is reserved for general distribution-wide issues like this.  If that's incorrect, I apologize in advance.
Comment 2 Rudolf Kastl 2009-03-17 19:07:55 EDT
Created attachment 335618 [details]
start of subcategory implementation for all but office and games (fdo)

start of subcategory implementation for all but office and games according to the fdo menu specs. needs work (please help/contribute). at the end of the day most of the excludes will have to go.
along with that i have started to get the menu categorisation fixed with the stuff we have in the repos.
Comment 3 Rudolf Kastl 2009-03-17 19:16:37 EDT
the files above need to be seperatly packaged with the yet missing helper files they each need once everything is done. help appreciated.
Comment 4 Christoph Wickert 2009-03-17 19:26:18 EDT
I'm willing to help and also fixed a few desktop files. Unfortunately I'm pretty busy.

I suggest to make separate foo-(sub)menu packages, that also need to include a foo.directory file with the translations. We have done that already with preferences-menu and electronics-menu.

We should use this bug as a tracker for all reviews of *-menu packages until we are finished.
Comment 5 Bill Nottingham 2009-03-18 12:40:59 EDT
I'm not sure why you'd need that many submenus in the general case - I'd think you'd end up with a 'Spreadsheet', 'Presentation', etc. menu that always only has one item.
Comment 6 Jonathan Rocker 2009-03-18 20:13:28 EDT
Having submenus helps organize and keeps things clean and neat. Whether there is one in a submenu or not isn't the point. For users who install lost of things, a menu spreading out all over the screen, or having to scroll up or down for a while is not good management. 

I don't understand the objection, since just a little bit of work could help improve Fedora. 

Suppose you have a user that uses openoffice, koffice and gnomeoffice. Each have their unique advantages. So why deny the automatic organization to this kind of user. Other users may not appreciate it as much, but it would still make Fedora more aesthetic and more organized. 

It is my understanding that this can be done by adding a line in the rpm build script. Something like this:
%fedora_update_desktop_file  %name System Network

http://fedoraproject.org/wiki/Packaging:Guidelines#tags
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-latest.html
http://standards.freedesktop.org/menu-spec/latest/apa.html

So like this:

desktop-file-install                                    \
--add-category="Multimedia"                             \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applnk/Multimedia/foo.desktop


Could maybe be modified to:

desktop-file-install                                    \
--add-category="Multimedia"                             \
--delete-original                                       \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applnk/Multimedia/Audio/foo.desktop

Or whatever the case may be. 

I may play around with this myself, and see how it goes. From what I understand, it could be that simple.
Comment 7 Christoph Wickert 2009-03-18 20:56:35 EDT
(In reply to comment #6)

> desktop-file-install                                    \
> --add-category="Multimedia"                             \
> --delete-original                                       \
> --dir=%{buildroot}%{_datadir}/applications              \
> %{buildroot}/%{_datadir}/applnk/Multimedia/foo.desktop
> 
> 
> Could maybe be modified to:
> 
> desktop-file-install                                    \
> --add-category="Multimedia"                             \
> --delete-original                                       \
> --dir=%{buildroot}%{_datadir}/applications              \
> %{buildroot}/%{_datadir}/applnk/Multimedia/Audio/foo.desktop

This won't work:
- The last line is where the file comes from, not where it gets installed.
- %{_datadir}/applnk is the obsolete KDE style.
Nowadays everything gets installed into %{_datadir}/applications and the layout of the menu is not defined by the location of the desktop file but by it's categories. Read the freedesktop specs you have quoted, download the tarball Rudolf attached to this bug and place the files in ~/.config/menus/applications-merged, then you will understand how it works.

> I may play around with this myself, and see how it goes. From what I
> understand, it could be that simple.  

It may be simple, but it's a lot of work since it means filing bugs against hundreds packages.
Comment 8 Jonathan Rocker 2009-03-18 22:54:18 EDT
Thanks for the clarification. 

Yes. It'd be hundreds, if not thousands of packages, but I think it's worth it. 

I've only built one or two rpm's myself, and that was years ago, and didn't need these tags. So I'm a n00b at rpm building.
Comment 9 Bug Zapper 2009-06-09 08:19:53 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-04-27 09:14:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Christoph Wickert 2010-04-27 09:25:26 EDT
Changing version to 'rawhide' and add 'FutureFeature' keyword to avoid that bugzappers accidentially close this bug.

Note You need to log in before you can comment on or make changes to this bug.